
kerio.waw.ui.httpForbiddenWordsEditor = {

x_m: function(x_n) {
var
x_1b = kerio.lib,
x_x = x_1b.x_x,
x_o = (kerio.waw.status.x_p.x_q === x_r.x_s.x_t),
x_vo = ('httpForbiddenWordsEditorAdd' === x_n),
x_10,
x_16,
x_vp,
x_1y,
x_5c = false,
x_1c;
x_vp = [
{	x_1f: 'x_79',
x_23: x_x('Properties', 'urlGroupEditor'),
x_1p: 'removeFieldsetMargin',
x_1e: [
{	x_1j: 'keyword',
x_23: x_x('Keyword:', 'httpForbiddenWords'),
x_93: 63,
x_ge: true,
x_b6: {
x_b7: false
}
},
{	x_1f: 'x_b4',
x_1j: 'weight',
x_23: x_x('Weight:', 'httpForbiddenWords'),
x_93: 7,
x_b5: 9999999,
x_r9: -9999999,
x_vq: true,
x_b6: {
x_b7: false
}
},
{	x_1j: 'description',
x_23: x_x('Description:', 'common'),
x_93: 255,
x_ge: true
}
]
}
];if (!x_vo) {
x_5c = true;
if (x_o) {
x_1y = x_x('View Group Item', 'httpForbiddenWords');
}
else {
x_1y = x_x('Edit Group Item', 'httpForbiddenWords');
}
}
else {
x_1y = x_x('Add Group Item', 'httpForbiddenWords');
}
x_10 = {
x_vr: {
x_1y: x_1y
},
x_vs: {
x_6a: '/admin/stub/dataMiner.php',
x_hi: 'ForbiddenWordManager'
},
x_1e: x_vp,
x_5p: x_o,
x_5c: !x_vo,
x_2n: {
x_1v: 300
},

x_mc: function(x_16) {
x_16.x_iy();
}};x_16 = new kerio.adm.x_17.x_vt('x_vu' + '_' + x_n, x_10);
x_1c = x_16.x_1c;
x_1c.x_27({
x_o5: {}
});
x_16.x_27({
x_5d: {},
x_vo: x_vo
});
this.x_2a(x_16);
return x_16;
}, 
x_2a: function(x_2b) {

x_2b.x_2c = function(x_28){
var
x_1c = this.x_1c,
x_vv,
x_nm,
x_vw,
x_47;
this.x_5d = x_28.x_5d;
x_47 = x_28.x_47;
x_1c.x_o5 = x_47;
x_vv = (undefined !== x_47 && !this.x_vo); if (x_vv) {
x_1c.x_7k(
{	keyword: x_47.keyword,
weight: x_47.weight,
description: x_47.description
}
);
x_vw = {id: x_47.groupId};
} else {
x_nm = x_28.x_5d.x_nl();
if (x_nm.id) {
x_vw = {
id: x_nm.id,
name: x_nm.name
};
}
else {
x_vw = {};
}
}
this.x_vx(x_vw);
};

x_2b.x_iy = function() {
var
x_47 = {},
x_7h,
x_vy,
x_1c,
x_6p,
x_28;
x_1c = this.x_1c;
x_7h = this.x_1c.x_7i();
x_vy = this.x_vz();
x_47.groupName = x_vy.name;
x_47.groupId = x_vy.id;
x_47.description = x_7h.description;
x_47.keyword = x_7h.keyword;
x_47.weight = x_7h.weight;
if (this.x_vo) {
x_47.enabled = true;
x_6p = 'create';
x_28 = {items: [x_47]};
}
else {
x_47.groupId = x_vy.id;
x_47.enabled = x_1c.x_o5.enabled;
x_6p = 'set';
x_28 = {ids: [x_1c.x_o5.id], details: x_47};
}
x_fi.x_4y(	'ForbiddenWordManager',
x_6p,
x_28,
this.x_jk,
this);
};
x_2b.x_jk = function(x_6v) {
var
x_5d;
if (!x_6v.x_6x) {
return;
}
x_5d = this.x_5d;
x_5d.x_2p.x_g4(x_5d.x_w0);
x_5d.x_6y();
this.x_2r();
};} }; 